#*************************************************************************************************************************
#
#Copyright or © or Copr.[DGFIP][2017]
#
#Ce logiciel a été initialement développé par la Direction Générale des 
#Finances Publiques pour permettre le calcul de l'impôt sur le revenu 2015 
#au titre des revenus perçus en 2014. La présente version a permis la 
#génération du moteur de calcul des chaînes de taxation des rôles d'impôt 
#sur le revenu de ce millésime.
#
#Ce logiciel est régi par la licence CeCILL 2.1 soumise au droit français 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffusée par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accéder à cet en-tête signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accepté les termes.
#
#**************************************************************************************************************************
regle corrective base_stratemajo 120:
application :  iliad ;
DEFRIMAJ_DEF = DEFRIMAJ ;
MAJOIR07TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPIR_A)) * MAJOIR07TARDIF_D 
		  + positif(PROPIR_A) * MAJOIR07TARDIF_P) ;
MAJOIR08TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPIR_A)) * MAJOIR08TARDIF_D 
		  + positif(PROPIR_A) * MAJOIR08TARDIF_P) ;
MAJOIR17_1TARD_DEF = FLAG_RETARD * 
		((1 - positif(PROPIR_A)) * MAJOIR17_1TARDIF_D 
		  + positif(PROPIR_A) * MAJOIR17_1TARDIF_P) ;
MAJOIR17_2TARD_DEF = FLAG_RETARD * 
		((1 - positif(PROPIR_A)) * MAJOIR17_2TARDIF_D 
		  + positif(PROPIR_A) * MAJOIR17_2TARDIF_P) ;
MAJOIRTARDIF_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) 
			* (somme(x = 07,08 : MAJOIR0xTARDIF_DEF)
		    + MAJOIR17_1TARD_DEF + MAJOIR17_2TARD_DEF)
		    + (1 - positif(FLAG_TRTARDIF) * positif(FLAG_RETARD))
		    * MAJOIRTARDIF_REF ;
MAJOLO07TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPLOY_A)) * MAJOLO07TARDIF_D 
		  + positif(PROPLOY_A) * MAJOLO07TARDIF_P) ;
MAJOLO08TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPLOY_A)) * MAJOLO08TARDIF_D 
		  + positif(PROPLOY_A) * MAJOLO08TARDIF_P) ;
MAJOLO17_1TARD_DEF = FLAG_RETARD *  
		((1 - positif(PROPLOY_A)) * MAJOLO17_1TARDIF_D 
		  + positif(PROPLOY_A) * MAJOLO17_1TARDIF_P) ;
MAJOLO17_2TARD_DEF = FLAG_RETARD *  
		((1 - positif(PROPLOY_A)) * MAJOLO17_2TARDIF_D 
		  + positif(PROPLOY_A) * MAJOLO17_2TARDIF_P) ;
MAJOLOYTARDIF_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) 
			* (somme(x = 07,08 : MAJOLO0xTARDIF_DEF)
		    + MAJOLO17_1TARD_DEF + MAJOLO17_2TARD_DEF)
		    + (1 - positif(FLAG_TRTARDIF) * positif(FLAG_RETARD))
		    * MAJOLOYTARDIF_REF ;


MAJOHR07TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPHR_A)) * MAJOHR07TARDIF_D 
		  + positif(PROPHR_A) * MAJOHR07TARDIF_P) ;
MAJOHR08TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPHR_A)) * MAJOHR08TARDIF_D 
		  + positif(PROPHR_A) * MAJOHR08TARDIF_P) ;
MAJOHR17_1TARD_DEF = FLAG_RETARD * 
		((1 - positif(PROPHR_A)) * MAJOHR17_1TARDIF_D 
		  + positif(PROPHR_A) * MAJOHR17_1TARDIF_P) ;
MAJOHR17_2TARD_DEF = FLAG_RETARD * 
		((1 - positif(PROPHR_A)) * MAJOHR17_2TARDIF_D 
		  + positif(PROPHR_A) * MAJOHR17_2TARDIF_P) ;
MAJOHRTARDIF_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) 
			* (somme(x = 07,08 : MAJOHR0xTARDIF_DEF)
		    + MAJOHR17_1TARD_DEF + MAJOHR17_2TARD_DEF)
		    + (1 - positif(FLAG_TRTARDIF) * positif(FLAG_RETARD))
		    * MAJOHRTARDIF_REF ;
MAJOCS07TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPCS_A)) * MAJOCS07TARDIF_D 
		  + positif(PROPCS_A) * MAJOCS07TARDIF_P) ;
MAJOCS08TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPCS_A)) * MAJOCS08TARDIF_D 
		  + positif(PROPCS_A) * MAJOCS08TARDIF_P) ;
MAJOCS17TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPCS_A)) * MAJOCS17TARDIF_D 
		  + positif(PROPCS_A) * MAJOCS17TARDIF_P) ;
MAJOCSTARDIF_DEF = somme(x = 07,08,17 : MAJOCSxTARDIF_DEF);
MAJOPS07TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPPS_A)) * MAJOPS07TARDIF_D 
		  + positif(PROPPS_A) * MAJOPS07TARDIF_P) ;
MAJOPS08TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPPS_A)) * MAJOPS08TARDIF_D 
		  + positif(PROPPS_A) * MAJOPS08TARDIF_P) ;
MAJOPS17TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPPS_A)) * MAJOPS17TARDIF_D 
		  + positif(PROPPS_A) * MAJOPS17TARDIF_P) ;
MAJOPSTARDIF_DEF = somme(x = 07,08,17 : MAJOPSxTARDIF_DEF);
MAJOR[DGFIP][2017]7TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPRD_A)) * MAJOR[DGFIP][2017]7TARDIF_D 
		  + positif(PROPRD_A) * MAJOR[DGFIP][2017]7TARDIF_P) ;

MAJOR[DGFIP][2017]8TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPRD_A)) * MAJOR[DGFIP][2017]8TARDIF_D 
		  + positif(PROPRD_A) * MAJOR[DGFIP][2017]8TARDIF_P) ;

MAJOR[DGFIP][2017]7TARDIF_DEF = FLAG_RETARD * 
		((1 - positif(PROPRD_A)) * MAJOR[DGFIP][2017]7TARDIF_D 
		  + positif(PROPRD_A) * MAJOR[DGFIP][2017]7TARDIF_P) ;

MAJORDTARDIF_DEF = somme(x = 07,08,17 : MAJORDxTARDIF_DEF);

MAJOCVN07TARD_DEF = FLAG_RETARD * MAJOCVN07TARDIF_D;

MAJOCVN08TARD_DEF = FLAG_RETARD * MAJOCVN08TARDIF_D;

MAJOCVN17TARD_DEF = FLAG_RETARD * MAJOCVN17TARDIF_D;

MAJOCVNTARDIF_DEF = somme(x = 07,08,17 : MAJOCVNxTARD_DEF);

MAJOREGV07TARD_DEF = FLAG_RETARD * MAJOREGV07TARDIF_D;

MAJOREGV08TARD_DEF = FLAG_RETARD * MAJOREGV08TARDIF_D;

MAJOREGV17TARD_DEF = FLAG_RETARD * MAJOREGV17TARDIF_D;

MAJOREGVTARDIF_DEF = somme(x = 07,08,17 : MAJOREGVxTARD_DEF);

MAJOCDIS07TARD_DEF = FLAG_RETARD * MAJOCDIS07TARDIF_D;

MAJOCDIS08TARD_DEF = FLAG_RETARD * MAJOCDIS08TARDIF_D;

MAJOCDIS17TARD_DEF = FLAG_RETARD * MAJOCDIS17TARDIF_D;

MAJOCDISTARDIF_DEF = somme(x = 07,08,17 : MAJOCDISxTARD_DEF);

MAJOGLO07TARD_DEF = FLAG_RETARD * MAJOGLO07TARDIF_D;

MAJOGLO08TARD_DEF = FLAG_RETARD * MAJOGLO08TARDIF_D;

MAJOGLO17TARD_DEF = FLAG_RETARD * MAJOGLO17TARDIF_D;

MAJOGLOTARDIF_DEF = somme(x = 07,08,17 : MAJOGLOxTARD_DEF);

MAJORSE107TARD_DEF = FLAG_RETARD * MAJORSE107TARDIF_D;
MAJORSE108TARD_DEF = FLAG_RETARD * MAJORSE108TARDIF_D;
MAJORSE117TARD_DEF = FLAG_RETARD * MAJORSE117TARDIF_D;
MAJORSE1TARDIF_DEF = somme(x = 07,08,17 : MAJORSE1xTARD_DEF);
MAJORSE207TARD_DEF = FLAG_RETARD * MAJORSE207TARDIF_D;
MAJORSE208TARD_DEF = FLAG_RETARD * MAJORSE208TARDIF_D;
MAJORSE217TARD_DEF = FLAG_RETARD * MAJORSE217TARDIF_D;
MAJORSE2TARDIF_DEF = somme(x = 07,08,17 : MAJORSE2xTARD_DEF);
MAJORSE307TARD_DEF = FLAG_RETARD * MAJORSE307TARDIF_D;
MAJORSE308TARD_DEF = FLAG_RETARD * MAJORSE308TARDIF_D;
MAJORSE317TARD_DEF = FLAG_RETARD * MAJORSE317TARDIF_D;
MAJORSE3TARDIF_DEF = somme(x = 07,08,17 : MAJORSE3xTARD_DEF);

MAJORSE407TARD_DEF = FLAG_RETARD * MAJORSE407TARDIF_D;

MAJORSE408TARD_DEF = FLAG_RETARD * MAJORSE408TARDIF_D;

MAJORSE417TARD_DEF = FLAG_RETARD * MAJORSE417TARDIF_D;

MAJORSE4TARDIF_DEF = somme(x = 07,08,17 : MAJORSE4xTARD_DEF);

MAJORSE507TARD_DEF = FLAG_RETARD * MAJORSE507TARDIF_D;

MAJORSE508TARD_DEF = FLAG_RETARD * MAJORSE508TARDIF_D;

MAJORSE517TARD_DEF = FLAG_RETARD * MAJORSE517TARDIF_D;

MAJORSE5TARDIF_DEF = somme(x = 07,08,17 : MAJORSE5xTARD_DEF);

MAJOTA07TARDIF_DEF = FLAG_RETARD * MAJOTAXA07TARDIF_D;
MAJOTA08TARDIF_DEF = FLAG_RETARD * MAJOTAXA08TARDIF_D;
MAJOTA17_1TARD_DEF = FLAG_RETARD * MAJOTA17_1TARDIF_D; 
MAJOTA17_2TARD_DEF = FLAG_RETARD * MAJOTA17_2TARDIF_D; 
MAJOTAXATARDIF_DEF = somme(x = 07,08 : MAJOTA0xTARDIF_DEF)
		+ MAJOTA17_1TARD_DEF + MAJOTA17_2TARD_DEF;
MAJOC[DGFIP][2017]7TARDIF_DEF = FLAG_RETARD * MAJOCA[DGFIP][2017]7TARDIF_D;
MAJOC[DGFIP][2017]8TARDIF_DEF = FLAG_RETARD * MAJOCA[DGFIP][2017]8TARDIF_D;
MAJOC[DGFIP][2017]7_1TARD_DEF = FLAG_RETARD * MAJOC[DGFIP][2017]7_1TARDIF_D; 
MAJOC[DGFIP][2017]7_2TARD_DEF = FLAG_RETARD * MAJOC[DGFIP][2017]7_2TARDIF_D; 
MAJOCAPTARDIF_DEF = somme(x = 07,08 : MAJOC[DGFIP][2017]xTARDIF_DEF)
		+ MAJOC[DGFIP][2017]7_1TARD_DEF + MAJOC[DGFIP][2017]7_2TARD_DEF;
PROPIR_DEF = PROPIR;
PROPLOY_DEF = PROPLOY;
PROPHR_DEF = PROPHR;

PROPCS_DEF = PROPCS;
PROPPS_DEF = PROPPS;
PROPRD_DEF = PROPRD;
IRBASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * IRBASE
		+ (1 - positif(FLAG_TRTARDIF)) * IRBASE_REF;
IRNINTARDIF_DEF = max(0,FLAG_RETARD *
		  (FLAG_TRTARDIF * IRBASE
		  + FLAG_TRTARDIF_R * SUPIR[00]
                  + FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRBASE) 
		    * (positif(FLAG_RECTIF) * min(SUPIR[2],IRBASE)
		      + (1 - positif(FLAG_RECTIF)) * min(IRBASE,IRBASE_REF))
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRBASE))
		      * (positif(FLAG_RECTIF) * min(SUPIR[00],IRBASE)
                     + (1 - positif(FLAG_RECTIF)) * IRBASE_REF)
		      )
                  + (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
                            * (positif(FLAG_RECTIF) * SUPIR[00]
                               + (1 - positif(FLAG_RECTIF)) * IRNINTARDIF_A)
		  ));

LOYTARDIF_DEF = max(0,FLAG_RETARD *
		  (FLAG_TRTARDIF * LOYBASE_MAJO
		+ FLAG_TRTARDIF_R * SUPLOY[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(LOYTARDIF_A - LOYBASE_MAJO) * min(SUPLOY[2],TAXLOY)
		    + (1 - positif(TARDIFEVT2) * positif(LOYTARDIF_A - LOYBASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPLOY[00], TAXLOY)
		    + (1 - positif(FLAG_RECTIF)) * LOYTARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPLOY[00]
			  + (1 - positif(FLAG_RECTIF)) * LOYTARDIF_A)
		  ));
HRTARDIF_DEF = max(0,FLAG_RETARD *
		  (FLAG_TRTARDIF * HRBASE_MAJO
		+ FLAG_TRTARDIF_R * SUPHR[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(HRTARDIF_A - HRBASE_MAJO) * min(SUPHR[2],IHAUTREVT)
		    + (1 - positif(TARDIFEVT2) * positif(HRTARDIF_A - HRBASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPHR[00],IHAUTREVT)
		    + (1 - positif(FLAG_RECTIF)) * HRTARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPHR[00]
			  + (1 - positif(FLAG_RECTIF)) * HRTARDIF_A)
		  ));
CSGTARDIF_DEF = max(0,
                      FLAG_RETARD *
	                	(FLAG_TRTARDIF * CSBASE
		                 + FLAG_TRTARDIF_R * SUPCS[00]
		                 + FLAG_TRTARDIF_F *
                                      (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN) * min(SUPCS[2],CSG)
		                       + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN)) 
		                         * (positif(FLAG_RECTIF) * min(SUPCS[00],CSG)
		                       + (1 - positif(FLAG_RECTIF)) * CSGTARDIF_A)
		                      )
	                	 + (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
		                   * (positif(FLAG_RECTIF) * SUPCS[00]
		                 + (1 - positif(FLAG_RECTIF)) * CSGTARDIF_A)
		                 )
                   );
PRSTARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * PSBASE
		+ FLAG_TRTARDIF_R * SUPPS[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN) * min(SUPPS[2],PRS)
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN)) 
		      * (positif(FLAG_RECTIF) * min(SUPPS[00],PRS)
		    + (1 - positif(FLAG_RECTIF)) * PRSTARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPPS[00]
			  + (1 - positif(FLAG_RECTIF)) * PRSTARDIF_A)
		));
RDSTARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * RDBASE
		+ FLAG_TRTARDIF_R * SUPRD[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN) * min(SUPRD[2],RDSN)
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN)) 
		      * (positif(FLAG_RECTIF) * min(SUPRD[00],RDSN)
		     + (1 - positif(FLAG_RECTIF)) * RDSTARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPRD[00]
			  + (1 - positif(FLAG_RECTIF)) * RDSTARDIF_A)
		));

CVNTARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * CVNBASE
		+ FLAG_TRTARDIF_R * SUPCVN[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN) * min(SUPCVN[2],CVNSALC)
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN)) 
		      * (positif(FLAG_RECTIF) * min(SUPCVN[00],CVNSALC)
		     + (1 - positif(FLAG_RECTIF)) * CVNTARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPCVN[00]
			  + (1 - positif(FLAG_RECTIF)) * CVNTARDIF_A)
		));

REGVTARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * REGVBASE
		+ FLAG_TRTARDIF_R * SUPREGV[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN) * min(SUPREGV[2],BREGV)
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN)) 
		      * (positif(FLAG_RECTIF) * min(SUPREGV[00],BREGV)
		     + (1 - positif(FLAG_RECTIF)) * REGVTARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPREGV[00]
			  + (1 - positif(FLAG_RECTIF)) * REGVTARDIF_A)
		));

CDISTARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * CDISBASE
		+ FLAG_TRTARDIF_R * SUPCDIS[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN) * min(SUPCDIS[2],CDIS)
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN)) 
		      * (positif(FLAG_RECTIF) * min(SUPCDIS[00],CDIS)
		     + (1 - positif(FLAG_RECTIF)) * CDISTARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPCDIS[00]
			  + (1 - positif(FLAG_RECTIF)) * CDISTARDIF_A)
		));
GLOTARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * GLOBASE
		+ FLAG_TRTARDIF_R * SUPGLO[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN) * min(SUPGLO[2],CGLOA)
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN)) 
		      * (positif(FLAG_RECTIF) * min(SUPGLO[00],CGLOA)
		     + (1 - positif(FLAG_RECTIF)) * GLOTARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPGLO[00]
			  + (1 - positif(FLAG_RECTIF)) * GLOTARDIF_A)
		));
TAXATARDIF_DEF = max(0,FLAG_RETARD *
		  (FLAG_TRTARDIF * TAXABASE_MAJO
		+ FLAG_TRTARDIF_R * SUPTAXA[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(TAXATARDIF_A - TAXABASE_MAJO) * min(SUPTAXA[2],TAXASSUR)
		    + (1 - positif(TARDIFEVT2) * positif(TAXATARDIF_A - TAXABASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPTAXA[00],TAXASSUR)
		    + (1 - positif(FLAG_RECTIF)) * TAXATARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPTAXA[00]
			  + (1 - positif(FLAG_RECTIF)) * TAXATARDIF_A)
		  ));
CAPTARDIF_DEF = max(0,FLAG_RETARD *
		  (FLAG_TRTARDIF * CAPBASE_MAJO
		+ FLAG_TRTARDIF_R * SUPCAP[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(CAPTARDIF_A - CAPBASE_MAJO) * min(SUPCAP[2],IPCAPTAXT)
		    + (1 - positif(TARDIFEVT2) * positif(CAPTARDIF_A - CAPBASE_MAJO)) 
		      * (positif(FLAG_RECTIF) * min(SUPCAP[00], IPCAPTAXT)
		    + (1 - positif(FLAG_RECTIF)) * CAPTARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPCAP[00]
			  + (1 - positif(FLAG_RECTIF)) * CAPTARDIF_A)
		  ));
RSE1TARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * RSE1BASE
		+ FLAG_TRTARDIF_R * SUPRSE1[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN) * min(SUPRSE1[2],RSE1)
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN)) 
		      * (positif(FLAG_RECTIF) * min(SUPRSE1[00],RSE1)
		     + (1 - positif(FLAG_RECTIF)) * RSE1TARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPRSE1[00]
			  + (1 - positif(FLAG_RECTIF)) * RSE1TARDIF_A)
		));
RSE2TARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * RSE2BASE
		+ FLAG_TRTARDIF_R * SUPRSE2[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN) * min(SUPRSE2[2],RSE2)
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN)) 
		      * (positif(FLAG_RECTIF) * min(SUPRSE2[00],RSE2)
		     + (1 - positif(FLAG_RECTIF)) * RSE2TARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPRSE2[00]
			  + (1 - positif(FLAG_RECTIF)) * RSE1TARDIF_A)
		));
RSE3TARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * RSE3BASE
		+ FLAG_TRTARDIF_R * SUPRSE3[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN) * min(SUPRSE3[2],RSE3)
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN)) 
		      * (positif(FLAG_RECTIF) * min(SUPRSE3[00],RSE3)
		     + (1 - positif(FLAG_RECTIF)) * RSE3TARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPRSE3[00]
			  + (1 - positif(FLAG_RECTIF)) * RSE3TARDIF_A)
		));
RSE4TARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * RSE4BASE
		+ FLAG_TRTARDIF_R * SUPRSE4[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN) * min(SUPRSE4[2],RSE4)
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN)) 
		      * (positif(FLAG_RECTIF) * min(SUPRSE4[00],RSE4)
		     + (1 - positif(FLAG_RECTIF)) * RSE4TARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPRSE4[00]
			  + (1 - positif(FLAG_RECTIF)) * RSE4TARDIF_A)
		));
RSE5TARDIF_DEF = max(0,FLAG_RETARD *
		(FLAG_TRTARDIF * RSE5BASE
		+ FLAG_TRTARDIF_R * SUPRSE5[00]
		+ FLAG_TRTARDIF_F *
                    (positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN) * min(SUPRSE5[2],RSE5)
		    + (1 - positif(TARDIFEVT2) * positif(IRNINTARDIF_A - IRNIN)) 
		      * (positif(FLAG_RECTIF) * min(SUPRSE5[00],RSE5)
		     + (1 - positif(FLAG_RECTIF)) * RSE5TARDIF_A)
		      )
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
			* (positif(FLAG_RECTIF) * SUPRSE5[00]
			  + (1 - positif(FLAG_RECTIF)) * RSE5TARDIF_A)
		));
IRNINMAJOP_DEF = max(IRNIN_MAJOP,IRNINMAJOP_A);
LOYMAJOP_DEF = max(LOY_MAJOP,LOYMAJOP_A);
HRMAJOP_DEF = max(HR_MAJOP,HRMAJOP_A);
CSGMAJOP_DEF = max(CSG_MAJOP,CSGMAJOP_A);
RDSMAJOP_DEF =  max(RDS_MAJOP,RDSMAJOP_A);
PRSMAJOP_DEF =  max(PRS_MAJOP,PRSMAJOP_A);
regle corrective base_stratemajo 12000:
application :  iliad ;


MAJOIS[DGFIP][2017]7TARD_DEF = FLAG_RETARD * MAJOIS[DGFIP][2017]7TARDIF_D;
MAJOIS[DGFIP][2017]8TARD_DEF = FLAG_RETARD * MAJOIS[DGFIP][2017]8TARDIF_D;
MAJOIS[DGFIP][2017]7TARD_DEF = FLAG_RETARD * MAJOIS[DGFIP][2017]7TARDIF_D;
MAJOISFTARDIF_DEF = somme(x = 07,08,17 : MAJOISFxTARD_DEF);

ISFTARDIF_DEF = max(0,FLAG_RETARD *
                (FLAG_TRTARDIF * ISF4BASE
		+ FLAG_TRTARDIF_R * SUPISF[00]
		+ FLAG_TRTARDIF_F *
		(positif(TARDIFEVT2) * positif(ISFINTARDIF_A - ISFIN) * min(SUPISF[2],ISFNET)
		+ (1 - positif(TARDIFEVT2) * positif(ISFINTARDIF_A - ISFIN))
		* (positif(FLAG_RECTIF) * min(SUPISF[00],ISFNET)
		+ (1 - positif(FLAG_RECTIF)) * ISFTARDIF_A)
		)
		+ (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
		* (positif(FLAG_RECTIF) * SUPISF[00]
		+ (1 - positif(FLAG_RECTIF)) * ISFTARDIF_A)
		));

ISFBASE_DEF = positif(FLAG_TRTARDIF) * positif(FLAG_RETARD) * ISF4BASE
               + (1 - positif(FLAG_TRTARDIF)) * ISFBASE_REF;
ISFINTARDIF_DEF = max(0,FLAG_RETARD *
(FLAG_TRTARDIF * ISF4BASE
+ FLAG_TRTARDIF_R * SUPISF[00]
 + FLAG_TRTARDIF_F *
 (positif(TARDIFEVT2) * positif(ISFINTARDIF_A - ISF4BASE)
 * (positif(FLAG_RECTIF) * min(SUPISF[2],ISF4BASE)
 + (1 - positif(FLAG_RECTIF)) * min(ISF4BASE,ISFBASE_REF))
 + (1 - positif(TARDIFEVT2) * positif(ISFINTARDIF_A - ISF4BASE))
  * (positif(FLAG_RECTIF) * min(SUPISF[00],ISF4BASE)
  + (1 - positif(FLAG_RECTIF)) * ISFBASE_REF)
  )
  + (1 - positif(FLAG_TRTARDIF+FLAG_TRTARDIF_R+FLAG_TRTARDIF_F+FLAG_TRMAJOP))
  * (positif(FLAG_RECTIF) * SUPISF[00]
  + (1 - positif(FLAG_RECTIF)) * ISFINTARDIF_A)
    ));



regle corrective base_stratemajo 121:
application :  iliad ;
pour x = 07,08,11,31:
MAJOPIRx_DEF = max(MAJOIR_Px,MAJOPIRx_A);
MAJOPIR10_1DEF = max(MAJOIR_[DGFIP][2017]0_1,MAJOPIR10_1A);
MAJOPIR10_2DEF = max(MAJOIR_[DGFIP][2017]0_2,MAJOPIR10_2A);
MAJOPIR17_1DEF = max(MAJOIR_[DGFIP][2017]7_1,MAJOPIR17_1A);
MAJOPIR17_2DEF = max(MAJOIR_[DGFIP][2017]7_2,MAJOPIR17_2A);

MAJOPIR_DEF = max(MAJOPIR_TOT,MAJOPIR_A);

pour x = 07,08,11,31:
MAJOPLOx_DEF = max(MAJOLOY_Px,MAJOPLOx_A);
MAJOPLO10_1DEF = max(MAJOLOY_[DGFIP][2017]0_1,MAJOPLO10_1A);
MAJOPLO10_2DEF = max(MAJOLOY_[DGFIP][2017]0_2,MAJOPLO10_2A);
MAJOPLO17_1DEF = max(MAJOLOY_[DGFIP][2017]7_1,MAJOPLO17_1A);
MAJOPLO17_2DEF = max(MAJOLOY_[DGFIP][2017]7_2,MAJOPLO17_2A);

MAJOPLOY_DEF = max(MAJOPLOY_TOT,MAJOPLOY_A);

pour x = 07,08,11,31:
MAJOPHRx_DEF = max(MAJOHR_Px,MAJOPHRx_A);
MAJOPHR10_1DEF = max(MAJOHR_[DGFIP][2017]0_1,MAJOPHR10_1A);
MAJOPHR10_2DEF = max(MAJOHR_[DGFIP][2017]0_2,MAJOPHR10_2A);
MAJOPHR17_1DEF = max(MAJOHR_[DGFIP][2017]7_1,MAJOPHR17_1A);
MAJOPHR17_2DEF = max(MAJOHR_[DGFIP][2017]7_2,MAJOPHR17_2A);

MAJOPHR_DEF = max(MAJOPHR_TOT,MAJOPHR_A);

pour x = 07,08,10,11,17,31:
MAJOPCSx_DEF = max(MAJOCS_Px,MAJOPCSx_A);
MAJOPCS_DEF = max(MAJOPCS_TOT,MAJOPCS_A);
pour x = 07,08,10,11,17,31:
MAJOPRDx_DEF = max(MAJORD_Px,MAJOPRDx_A);
MAJOPRD_DEF = max(MAJOPRD_TOT,MAJOPRD_A);
pour x = 07,08,10,11,17,31:
MAJOPPSx_DEF = max(MAJOPS_Px,MAJOPPSx_A);
MAJOPPS_DEF = max(MAJOPPS_TOT,MAJOPPS_A);
regle corrective base_stratemajo 122:
application :  iliad ;
MAJOIRST_DEF = MAJOIR_ST ;

MAJOTAXAST_DEF = MAJOTAXA_ST;
MAJOCAPST_DEF = MAJOCAP_ST;
MAJOLOYST_DEF = MAJOLOY_ST;
MAJOHRST_DEF = MAJOHR_ST;

MAJOCSST_DEF = MAJOCS_ST;
MAJORDST_DEF = MAJORD_ST;
MAJOPSST_DEF = MAJOPS_ST;
MAJOCVNST_DEF = MAJOCVN_ST;
MAJOREGVST_DEF = MAJOREGV_ST;
MAJOCDISST_DEF = MAJOCDIS_ST;
MAJOGLOST_DEF = MAJOGLO_ST;

MAJORSE1ST_DEF = MAJORSE1_ST;
MAJORSE2ST_DEF = MAJORSE2_ST;
MAJORSE3ST_DEF = MAJORSE3_ST;
MAJORSE4ST_DEF = MAJORSE4_ST;
MAJORSE5ST_DEF = MAJORSE5_ST;
TNAPCR[X] = NAPCRINR;

TIRBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(IRBASE,TIRBASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(IRBASE,IRNIN_P))
            + (1 - null(X)) * max(IRBASE,TIRBASE[FLAG_DERSTTR]);
TIRBASEDEF[X] = IRBASE;
TPCAPBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(CAPBASE_MAJO,TPCAPBASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(CAPBASE_MAJO,PCAPBRUT_P))
           + (1 - null(X)) * max(CAPBASE_MAJO,TPCAPBASE[FLAG_DERSTTR]);
TPCAPBASEDEF[X] = CAPBASE_MAJO;


TLOYBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(LOYBASE_MAJO,TLOYBASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(LOYBASE_MAJO, LOYBRUT_P))
           + (1 - null(X)) * max(LOYBASE_MAJO,TLOYBASE[FLAG_DERSTTR]);
TLOYBASEDEF[X] = LOYBASE_MAJO;
TCHRBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(HRBASE_MAJO,TCHRBASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(HRBASE_MAJO,CHRBRUT_P))
           + (1 - null(X)) * max(HRBASE_MAJO,TCHRBASE[FLAG_DERSTTR]);
TCHRBASEDEF[X] = HRBASE_MAJO;
TTAXABASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(TAXABASE_MAJO,TTAXABASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(TAXABASE_MAJO,TAXABRUT_P))
           + (1 - null(X)) * max(TAXABASE_MAJO,TTAXABASE[FLAG_DERSTTR]);
TTAXABASEDEF[X] = TAXABASE_MAJO;
TCSBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(CSBASE,TCSBASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(CSBASE,CSG_P))
           + (1 - null(X)) * max(CSBASE,TCSBASE[FLAG_DERSTTR]);
TRDBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(RDBASE,TRDBASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(RDBASE,RDS_P))
           + (1 - null(X)) * max(RDBASE,TRDBASE[FLAG_DERSTTR]);
TPSBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(PSBASE,TPSBASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(PSBASE,PRS_P))
           + (1 - null(X)) * max(PSBASE,TPSBASE[FLAG_DERSTTR]);

TCVNBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(CVNBASE,TCVNBASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(CVNBASE,CVN_P))
           + (1 - null(X)) * max(CVNBASE,TCVNBASE[FLAG_DERSTTR]);

TREGVBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(REGVBASE,TREGVBASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(REGVBASE , REGV_P))
           + (1 - null(X)) * max(REGVBASE,TREGVBASE[FLAG_DERSTTR]);
TCDISBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(CDISBASE,TCDISBASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(CDISBASE,CDIS_P))
           + (1 - null(X)) * max(CDISBASE,TCDISBASE[FLAG_DERSTTR]);

TGLOBASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(GLOBASE,TGLOBASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(GLOBASE,GLO_P))
           + (1 - null(X)) * max(GLOBASE,TGLOBASE[FLAG_DERSTTR]);
TRSE1BASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(RSE1BASE,TRSE1BASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(RSE1BASE,RSE1_P))
           + (1 - null(X)) * max(RSE1BASE,TRSE1BASE[FLAG_DERSTTR]);
TRSE2BASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(RSE2BASE,TRSE2BASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(RSE2BASE,RSE2_P))
           + (1 - null(X)) * max(RSE2BASE,TRSE2BASE[FLAG_DERSTTR]);
TRSE3BASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(RSE3BASE,TRSE3BASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(RSE3BASE,RSE3_P))
           + (1 - null(X)) * max(RSE3BASE,TRSE3BASE[FLAG_DERSTTR]);
TRSE4BASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(RSE4BASE,TRSE4BASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(RSE4BASE,RSE4_P))
           + (1 - null(X)) * max(RSE4BASE,TRSE4BASE[FLAG_DERSTTR]);

TRSE5BASE[X] = null(X) * 
	    ( positif(FLAG_RETARD) * positif(FLAG_RECTIF)* max(RSE5BASE,TRSE5BASE[FLAG_DERSTTR]) 
	     + (1 - positif(FLAG_RETARD) * positif(FLAG_RECTIF)) * max(RSE5BASE,RSE5_P))
           + (1 - null(X)) * max(RSE5BASE,TRSE5BASE[FLAG_DERSTTR]);

MAJOIR01 = TMAJOIR[24] * STR_TR24
	   + TMAJOIR[01] * null(CSTRATE1 - 1);

MAJOIR02_1 = TMAJOIR[22] * STR_TR22 
	   + TMAJOIR[01] * null(CSTRATE1 - 2);

MAJOIR02_1_NTL = T2MAJOIR[17] * STR_TR17
	   + T2MAJOIR[01] * null(CSTRATE1 - 2);
MAJOIR02_2_NTL = T2MAJOIR[18] * STR_TR18 * (1 - positif(TIRBASE[18]-TIRBASE[22]) * positif(TIRBASE[22])) * (1 - IND_RJLJ)
               + positif(TIRBASE[18] - TIRBASE[22]) * (1 - IND_RJLJ) * positif(TIRBASE[22])
                * arr(max(0,(TIRBASE[18] - TIRBASE[0] - (TIRBASE[18] - TIRBASEDEF[22]))) * TX1758A/100) * STR_TR18
               + T2MAJOIR[01] * null(CSTRATE1 - 2);


MAJOIR02_1_NTL15 = T2MAJOIR[19] * STR_TR19;



MAJOIR02_2_NTL15 = T2MAJOIR[20] * STR_TR20 * (1 - positif(TIRBASE[20]-TIRBASE[22]) * positif(TIRBASE[22])) * (1 - IND_RJLJ)
               + positif(TIRBASE[20] - TIRBASE[22]) * (1 - IND_RJLJ) * positif(TIRBASE[22])
                * arr(max(0,(TIRBASE[20] - TIRBASE[0] - (TIRBASE[20] - TIRBASEDEF[22]))) * TX1758A/100) * STR_TR20 ;

MAJOIR02_1_TL = T2MAJOIR[21] * STR_TR21;

MAJOIR02_2_TL = T2MAJOIR[22] * STR_TR22;
MAJOIR02_2 = MAJOIR02_2_TL + MAJOIR02_2_NTL + MAJOIR02_2_NTL15 ;

MAJOIR03 = TMAJOIR[13] * STR_TR13 
	   + TMAJOIR[01] * null(CSTRATE1 - 3);
MAJOIR04 = TMAJOIR[08] * STR_TR08 
	   + TMAJOIR[01] * null(CSTRATE1 - 4);
MAJOIR05 = TMAJOIR[07] * STR_TR07 
	   + TMAJOIR[01] * null(CSTRATE1 - 5);
MAJOIR06 = TMAJOIR[03] * STR_TR03
	   + TMAJOIR[01] * null(CSTRATE1 - 6);
MAJOIR07 = TMAJOIR[16] * STR_TR16 
	   + TMAJOIR[01] * null(CSTRATE1 - 7)
	   + max(0,MAJOIR07TARDIF_DEF) ;
MAJOIR08 = TMAJOIR[11] * STR_TR11 
	   + TMAJOIR[01] * null(CSTRATE1 - 8)
	   + max(0,MAJOIR08TARDIF_DEF) ;
MAJOIR10_1 = TMAJOIR[14] * STR_TR14 
	   + TMAJOIR[01] * null(CSTRATE1 - 10);
MAJOIR10_2 = T2MAJOIR[14] * STR_TR14
	   + T2MAJOIR[01] * null(CSTRATE1 - 10);
MAJOIR11 = TMAJOIR[10] * STR_TR10 
	   + TMAJOIR[01] * null(CSTRATE1 - 11);
MAJOIR17_1 = TMAJOIR[15] * STR_TR15  
	   + TMAJOIR[01] * null(CSTRATE1 - 17)
	   + max(0,MAJOIR17_1TARD_DEF);
MAJOIR17_2 = T2MAJOIR[15] * STR_TR15
	   + T2MAJOIR[01] * null(CSTRATE1 - 17)
	   + max(0,MAJOIR17_2TARD_DEF);
MAJOIR22 = TMAJOIR[23] * STR_TR23 
	   + TMAJOIR[01] * null(CSTRATE1 - 22);
MAJOIR30 = TMAJOIR[09] * STR_TR09 
	   + TMAJOIR[01] * null(CSTRATE1 - 30);
MAJOIR31 = TMAJOIR[06] * STR_TR06 
	   + TMAJOIR[01] * null(CSTRATE1 - 31);
MAJOIR32 = TMAJOIR[05] * STR_TR05 
	   + TMAJOIR[01] * null(CSTRATE1 - 32);
MAJOIR55 = TMAJOIR[12] * STR_TR12
	   + TMAJOIR[01] * null(CSTRATE1 - 55);
MAJOIR99 = (TMAJOIR[00] * STR_TR00 
	   + TMAJOIR[01] * null(CSTRATE1 - 99)) * (1 - positif(CSTRATE99)) ;
MAJOPS01 = TMAJOPS[24] * STR_TR24 
	   + TMAJOPS[01] * null(CSTRATE1 - 1);
MAJOPS02 = TMAJOPS[22] * STR_TR22 
	   + TMAJOPS[01] * null(CSTRATE1 - 2);
MAJOPS03 = TMAJOPS[13] * STR_TR13 
	   + TMAJOPS[01] * null(CSTRATE1 - 3);
MAJOPS04 = TMAJOPS[08] * STR_TR08 
	   + TMAJOPS[01] * null(CSTRATE1 - 4);
MAJOPS05 = TMAJOPS[07] * STR_TR07 
	   + TMAJOPS[01] * null(CSTRATE1 - 5);
MAJOPS06 = TMAJOPS[03] * STR_TR03
	   + TMAJOPS[01] * null(CSTRATE1 - 6);
MAJOPS07 = TMAJOPS[16] * STR_TR16 
	   + TMAJOPS[01] * null(CSTRATE1 - 7)
           + max(0,MAJOPS07TARDIF_DEF) ;
MAJOPS08 = TMAJOPS[11] * STR_TR11 
	   + TMAJOPS[01] * null(CSTRATE1 - 8)
           + max(0,MAJOPS08TARDIF_DEF) ;
MAJOPS10 = TMAJOPS[14] * STR_TR14 
	   + TMAJOPS[01] * null(CSTRATE1 - 10);
MAJOPS11 = TMAJOPS[10] * STR_TR10 
	   + TMAJOPS[01] * null(CSTRATE1 - 11);
MAJOPS17 = TMAJOPS[15] * STR_TR15 
	   + TMAJOPS[01] * null(CSTRATE1 - 17)
           + max(0,MAJOPS17TARDIF_DEF) ;
MAJOPS22 = TMAJOPS[23] * STR_TR23 
	   + TMAJOPS[01] * null(CSTRATE1 - 22);
MAJOPS30 = TMAJOPS[09] * STR_TR09 
	   + TMAJOPS[01] * null(CSTRATE1 - 30);
MAJOPS31 = TMAJOPS[06] * STR_TR06 
	   + TMAJOPS[01] * null(CSTRATE1 - 31);
MAJOPS32 = TMAJOPS[05] * STR_TR05 
	   + TMAJOPS[01] * null(CSTRATE1 - 32);
MAJOPS55 = TMAJOPS[12] * STR_TR12 
	   + TMAJOPS[01] * null(CSTRATE1 - 55);
MAJOPS99 = (TMAJOPS[00] * STR_TR00 
	   + TMAJOPS[01] * null(CSTRATE1 - 99)) * (1 - positif(CSTRATE99));
MAJOCS01 = TMAJOCS[24] * STR_TR24 
	   + TMAJOCS[01] * null(CSTRATE1 - 1);
MAJOCS02 = TMAJOCS[22] * STR_TR22 
	   + TMAJOCS[01] * null(CSTRATE1 - 2);
MAJOCS03 = TMAJOCS[13] * STR_TR13 
	   + TMAJOCS[01] * null(CSTRATE1 - 3);
MAJOCS04 = TMAJOCS[08] * STR_TR08 
	   + TMAJOCS[01] * null(CSTRATE1 - 4);
MAJOCS05 = TMAJOCS[07] * STR_TR07 
	   + TMAJOCS[01] * null(CSTRATE1 - 5);
MAJOCS06 = TMAJOCS[03] * STR_TR03
	   + TMAJOCS[01] * null(CSTRATE1 - 6);
M
